Bug 1474744 - [paid][online-stg] The user can use non-integer GiB to request more storages than it is limited in the storage quota.
Summary: [paid][online-stg] The user can use non-integer GiB to request more storages ...
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: ---
Assignee: Bradley Childs
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Keywords: OnlinePro
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2017-07-25 10:17 UTC by yasun
Modified: 2019-06-12 11:57 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-12 11:57:58 UTC


Attachments (Terms of Use)

Comment 1 Abhishek Gupta 2017-08-22 16:33:31 UTC
Pushing this out as the user can at most shoot over by 1Gi.

Comment 3 Abhishek Gupta 2017-09-12 21:01:47 UTC
Some options I can think of on top of my head:

1. we could prevent users from specifying non-integer values
2. we could switch to using status values for quota 
3. we could round up to the next integer to determine "request" for quota purposes

Comment 4 Seth Jennings 2017-09-12 21:05:29 UTC
Did intend to reassign.  Changing back.

Comment 5 Jan Safranek 2017-09-13 08:05:46 UTC
From storage point of view, different backends have different rules. AWS, GCE and Cinder can allocate only whole GB (and Kubernetes rounds non-integer GBs up), while e.g. Gluster can allocate in MB. We could force all of them to round to GB, at least in quota calculations.

It would be nice if we could account also pvc.status.capacity which always holds the size of bound PV. Until a PVC is bound its spec.capacity would be used for quota and after binding its status.capacity would be used instead, as it reflects real size of allocated storage to the user.

Comment 6 Eric Paris 2017-09-14 17:30:16 UTC
Assigning to brad. This is a storage 'problem' not online specific. Jan has an idea. This might be an RFE. I'll let Brad and storage team decide how to run with this.

Comment 9 Kirsten Newcomer 2019-06-12 11:57:58 UTC
With the introduction of OpenShift 4, Red Hat has delivered or roadmapped a substantial number of features based on feedback by our customers.  Many of the enhancements encompass specific RFEs which have been requested, or deliver a comparable solution to a customer problem, rendering an RFE redundant.

This bz (RFE) has been identified as a feature request not yet planned or scheduled for an OpenShift release and is being closed. 

If this feature is still an active request that needs to be tracked, Red Hat Support can assist in filing a request in the new JIRA RFE system, as well as provide you with updates as the RFE progress within our planning processes. Please open a new support case: https://access.redhat.com/support/cases/#/case/new 

Opening a New Support Case: https://access.redhat.com/support/cases/#/case/new 

As the new Jira RFE system is not yet public, Red Hat Support can help answer your questions about your RFEs via the same support case system.


Note You need to log in before you can comment on or make changes to this bug.